<!--
  Generated template for the AddmembertogroupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-tag">

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backTo()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>Add New Member</ion-title>
  </ion-navbar>
  <ion-searchbar class="all-friend-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search"></ion-searchbar>
</ion-header>


<ion-content padding>
	
	<ion-list no-lines>
		<div *ngFor="let allFriends of friendList$ | async; let i = index">
			<div *ngFor="let allUser of userList$ | async">
				<div *ngIf="!filterExistingUser(allFriends.key)">
					<ion-item *ngIf="allUser.key == allFriends.key" class="friend-list-item">
						<ion-avatar item-left>
				            <img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
				        </ion-avatar>
				        <ion-label>{{ allUser.displayName }}</ion-label>
				        <ion-checkbox (ionChange)="addUserToList(allFriends.key)" [checked]="checking(allFriends.key)" item-right></ion-checkbox>
					</ion-item>
				</div>
			</div>
		</div>
	</ion-list>
	<ion-fab bottom right *ngIf="checkedCount > 0">
		<button ion-fab color="dark" (click)="submitAddMemberList()"><ion-icon name="person-add"></ion-icon></button>
	</ion-fab>
</ion-content>
